## swarp 2.41.5

=== doc/requirements.txt ===
sphinxcontrib-bibtex

## swarp 2.19.1

=== debian/changelog ===
swarp (2.19.1-1) unstable; urgency=low

  * Initial release. (Closes: #671447)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Sat, 04 May 2013 09:05:03 +0200

=== debian/control ===
Source: swarp
Section: science
Priority: optional
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 9), autotools-dev
Standards-Version: 3.9.4
Homepage: http://www.astromatic.net/software/swarp

Package: swarp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: resample and co-add together FITS images
 This is a program that resamples and co-adds together FITS images
 using any arbitrary astrometric projection defined in the WCS standard.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autotools-dev

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/swarp/usr/share/man/manx

override_dh_auto_install:
	dh_auto_install
	# suckless-tools provides /usr/bin/swarp already
	mv debian/swarp/usr/bin/swarp debian/swarp/usr/bin/SWarp
	mv debian/swarp/usr/share/man/man1/swarp.1 debian/swarp/usr/share/man/man1/SWarp.1

=== debian/watch ===
version=3
http://www.astromatic.net/download/swarp/ swarp-(.*)\.tar.gz

## swarp 2.38.0+dfsg

=== debian/changelog ===
swarp (2.38.0+dfsg-3build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:46:14 +0000

swarp (2.38.0+dfsg-3) unstable; urgency=medium

  * Don't apply the RMS threshold twice. This is still unapproved by upstream.
    Closes: #812432
  * Push standards version to 3.9.7. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Mon, 08 Feb 2016 16:03:35 +0100

swarp (2.38.0+dfsg-2) unstable; urgency=low

  * Replace the build date with the last changed date of configure.ac
  * Unify debian/copyright with other astromatic packages

 -- Ole Streicher <olebole@debian.org>  Sat, 30 May 2015 09:53:14 +0200

swarp (2.38.0+dfsg-1) unstable; urgency=low

  * Create upstream/metadata with bibliographic information
  * switch back to unstable

 -- Ole Streicher <olebole@debian.org>  Sun, 26 Apr 2015 12:45:52 +0200

swarp (2.38.0+dfsg-1~exp1) experimental; urgency=low

  * Adopt package. Closes: #776003
  * New upstream version
  * Change license to GPL-3
  * Remove sourceless documentation
  * Update description, fix manpage, switch to dh_autoreconf
  * Declare outbuf, outbufw as static. Closes: #748970.

 -- Ole Streicher <olebole@debian.org>  Sat, 24 Jan 2015 13:04:37 +0100

=== debian/control ===
Source: swarp
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf
Standards-Version: 3.9.7
Homepage: http://www.astromatic.net/software/swarp
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/swarp.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-astro/packages/swarp.git

Package: swarp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Resample and co-add together FITS images
 Resample and co-add together FITS images using any arbitrary astrometric
 projection defined in the WCS standard. The main features of SWarp
 are:
 .
  * FITS format (including multi-extensions) in input and output,
  * Full handling of weight-maps in input and output,
  * Ability to work with very large images (up to 500 Mpixels on
    32-bit machines and 10^6 Tpixels with 64-bits), thanks to customized
    virtual-memory-mapping and buffering,
  * Works with arrays in up to 9 dimensions (including or not two spherical
    coordinates),
  * Selectable high-order interpolation method (up to 8-tap filters) in any
    dimension,
  * Compatible with WCS and TNX (IRAF) astrometric descriptions,
  * Support for equatorial, galactic and equatorial coordinate systems,
  * Astrometric and photometric parameters are read from FITS headers or
    external ASCIIfiles,
  * Built-in background subtraction,
  * Built-in noise-level measurement for automatic weighting,
  * Automatic centering and sizing functions of the output field,
  * Multi-threaded code with load-balancing to take advantageof multiple
    processors.
  * XML VOTable-compliant output of meta-data.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://www.astromatic.net/download/swarp/swarp-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## swarp 2.41.2

=== debian/changelog ===
swarp (2.41.2-1build1) groovy; urgency=medium

  * No change rebuild against new cfitsio ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:46:35 +0100

swarp (2.41.2-1) unstable; urgency=medium

  * New upstream version 2.41.2
  * Use new name source-extractor
  * Use github/astromatic as upstream
  * Rediff patches
  * Push Standards-Version to 4.5.0. No changes needed
  * Push compat to 12. Replace d/compat by debhelper-compat build dependency
  * Appen -fcommon to CFLAGS to allow compilation with gcc-10 (Closes: #957848)
  * Add libcfitsio-dev build dependency
  * Don't use debian/ in autoconf

 -- Ole Streicher <olebole@debian.org>  Sun, 02 Aug 2020 15:59:33 +0200

swarp (2.38.0+dfsg-4) unstable; urgency=low

  * Add ASCL-Id
  * Deadlock/segfault fix by luvaul
  * Update VCS fields to use salsa.d.o
  * Push Standards-Version to 4.3.0. Change URLs to https
  * Push compat to 12
  * Switch patch style to gbp

 -- Ole Streicher <olebole@debian.org>  Sat, 26 Jan 2019 11:36:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.7
-Homepage: http://www.astromatic.net/software/swarp
-Vcs-Git: git://anonscm.debian.org/debian-astro/packages/swarp.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-astro/packages/swarp.git
+Build-Depends: debhelper-compat (= 12), libcfitsio-dev
+Standards-Version: 4.5.0
+Homepage: https://www.astromatic.net/software/swarp
+Vcs-Git: https://salsa.debian.org/debian-astro-team/swarp.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/swarp
 
 Package: swarp
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_CFLAGS_MAINT_APPEND = -fcommon
+
 %:
-	dh $@ --with autotools-dev
+	dh  $@ --with autoreconf
 
-override_dh_install:
-	dh_install
-	rm -rf $(CURDIR)/debian/swarp/usr/share/man/manx
+override_dh_installchangelogs:
+	dh_installchangelogs ChangeLog
 
 override_dh_auto_install:
 	dh_auto_install

## swarp 2.41.4

=== debian/changelog ===
swarp (2.41.4-2) unstable; urgency=medium

  * Add Autopkgtests
  * Add myself to uploaders
  * Update d/u/metadata
  * d/rules: Propagate hardening flags
  * Declare compliance with policy 4.5.1

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 25 Jan 2021 12:19:07 +0530

swarp (2.41.4-1) unstable; urgency=low

  * New upstream version 2.41.4. Rediff patches
  * Push Standards-Version to 13
  * Add "Rules-Requires-Root: no" to d/control

 -- Ole Streicher <olebole@debian.org>  Tue, 01 Sep 2020 08:29:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: swarp
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper-compat (= 12), libcfitsio-dev
-Standards-Version: 4.5.0
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>, Nilesh Patra <npatra974@gmail.com>
+Build-Depends: debhelper-compat (= 13), libcfitsio-dev
+Standards-Version: 4.5.1
 Homepage: https://www.astromatic.net/software/swarp
 Vcs-Git: https://salsa.debian.org/debian-astro-team/swarp.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/swarp
+Rules-Requires-Root: no
 
 Package: swarp
 Architecture: any

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds//,repacksuffix=+ds,\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%swarp-$1.tar.gz%" \
  https://github.com/astromatic/swarp/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## swarp 2.41.5

=== debian/changelog ===
swarp (2.41.5-3) unstable; urgency=medium

  * Team Upload.
  [ Phil Wyett ]
  * Convert 'd/watch' to version 5 format.
  * Remove no longer needed 'Rules-Requires-Root: no'. Now is default behavior.

  [ Nilesh Patra ]
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop myself from uploaders

 -- Nilesh Patra <nilesh@debian.org>  Sun, 02 Nov 2025 17:11:26 +0530

swarp (2.41.5-2) unstable; urgency=medium

  * Fix prototype decl of gammln function (Closes: #1097955)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 10 Sep 2025 21:57:20 +0530

swarp (2.41.5-1) unstable; urgency=medium

  * New upstream version 2.41.5
  * Remove d/p/Fix-deadlock-segfault-when-running-with-many-overlapping-.patch
    which is fixed upstream
  * Refresh patches
  * d/copyright: Remove Files-Excluded: no such files are vendored now
  * Add d/salsa-ci.yml

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 18:19:24 +0530

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: science
 Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>, Nilesh Patra <npatra974@gmail.com>
+Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper-compat (= 13), libcfitsio-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://www.astromatic.net/software/swarp
 Vcs-Git: https://salsa.debian.org/debian-astro-team/swarp.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/swarp
-Rules-Requires-Root: no
 
 Package: swarp
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 #export DH_VERBOSE=1
 
 export DEB_CFLAGS_MAINT_APPEND = -fcommon
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh  $@ --with autoreconf

=== debian/watch ===
Version: 5
Template: Github
Owner: astromatic
Project: swarp
